Name:		uget
Version:	1.10.3
Release:	%mkrel 3
Summary:	Download manager using GTK+ and libcurl
Group:		Networking/File transfer
License:	LGPLv2+
URL:		http://urlget.sourceforge.net/
Source0:	http://downloads.sourceforge.net/urlget/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.32
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.4
BuildRequires: pkgconfig(libnotify)
BuildRequires:	intltool
BuildRequires:	curl-devel
BuildRequires:	automake

# mdv contrib
Obsoletes:	urlgfe < 1.1

%description
Uget is a download manager that allows you to import downloads
from HTML files and classify them by categories. Every category has an
independent configuration that can be inherited by each download in that
category.
Uget is the successor of urlgfe, which was called URLget before.

This package is built for GTK3.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/%{name}-gtk.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/sounds/%{name}
%{_datadir}/pixmaps/%{name}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.10.3-3.mga4
+ Revision: 528609
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 fwang <fwang> 1.10.3-2.mga4
+ Revision: 446751
- update br

* Wed Jun 26 2013 fwang <fwang> 1.10.3-1.mga4
+ Revision: 446741
- update file list
- new version 1.10.3

* Mon Jan 14 2013 umeabot <umeabot> 1.10.2-2.mga3
+ Revision: 385017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.10.2-1.mga3
+ Revision: 324862
- new version 1.10.2

* Sun Jun 24 2012 kamil <kamil> 1.8.2-1.mga3
+ Revision: 262930
- new version 1.8.2 (again)

* Sun Jun 24 2012 kamil <kamil> 1.8.1-2.mga3
+ Revision: 262924
- new version 1.8.2

* Mon May 28 2012 kamil <kamil> 1.8.1-1.mga3
+ Revision: 247674
- new version 1.8.1

* Tue Feb 21 2012 kamil <kamil> 1.8.0-3.mga2
+ Revision: 211369
- adapt .spec for Mageia
- imported package uget


* Wed Jun  8 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.8.0-1
- 1.8.0

* Thu May 12 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.7.6-1
- 1.7.6

* Fri Apr 22 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.7.5-1
- 1.7.5

* Tue Apr 12 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.7.4-1
- 1.7.4

* Thu Mar 24 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.7.3-1
- 1.7.3

* Thu Mar  3 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.7.2a-1
- 1.7.2a
- Use GTK 3 on F-15+

* Wed Feb  9 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.7.1-1
- 1.7.1
- Try adding aria2 plugin support

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan  2 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.7.0-1
- 1.7.0

* Thu Dec 16 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.2a-1
- 1.6.2a

* Fri Nov 12 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.1-3
- Patch for libnotify 0.7.0 API

* Sat Nov  6 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.1-2
- F-15: kill libnotify suuport for now

* Fri Oct 29 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.1-1
- 1.6.1

* Sun Sep  5 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.0-2
- Apply upstream patch for build issue with recent libnotify

* Wed Aug 18 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.0-1
- 1.6.0

* Fri Jul 30 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.9.3-1
- 1.5.9.3

* Fri Jun  4 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.9.2-1
- 1.5.9.2

* Thu Apr 22 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.9.1-1
- 1.5.9.1

* Sun Mar 21 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.0.3-1
- 1.5.0.3

* Thu Mar  4 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.0.2-1
- 1.5.0.2

* Fri Jan 22 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.0.1-2
- Fix segv when invalid uri is passed to the argument (bug 556907)

* Wed Dec 23 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.0.1-1
- 1.5.0.1 (which should fix bug 546289)

* Fri Oct  2 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.5.0-1
- 1.5.0

* Thu Sep  3 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.9.3-1
- 1.4.9.3

* Wed Aug  5 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.9.2-1
- 1.4.9.2

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.9.1-2
- F-12: Mass rebuild

* Wed Jul 23 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.9.1-1
- 1.4.9.1

* Wed Jul  8 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.9-1
- 1.4.9

* Wed Jun 17 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.8.5-2
- F-12: Rebuild to create valid debuginfo rpm again (ref: 505774)

* Mon Jun 15 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.8.5-1
- 1.4.8.5

* Wed Jun 10 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.8.4-1
- 1.4.8.4

* Mon May 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.8.3-1
- 1.4.8.3

* Sun May 17 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.8.2-1
- 1.4.8.2

* Thu May 14 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.8.1-1
- 1.4.8.1

* Mon May  4 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.7-2
- More detailed summary/description suggested by Christoph Wickert
  <fedora@christoph-wickert.de>

* Sat May  2 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.7-1
- Initial packaging
